cURL
curl --request PATCH \ --url https://api.emailr.dev/v1/domains/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "receiving_enabled": true } '
{ "id": "123e4567-e89b-12d3-a456-426614174000", "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "domain": "<string>", "status": "verified", "verification_token": "<string>", "dkim_verified": true, "spf_verified": true, "dmarc_verified": true, "cloudflare_zone_id": "<string>", "ses_identity_arn": "<string>", "created_at": "2023-11-07T05:31:56Z", "verified_at": "2023-11-07T05:31:56Z", "dkim_tokens": [ "<string>" ], "dns_records": { "dkim": { "type": "TXT", "name": "<string>", "value": "<string>", "priority": 123 }, "spf": { "type": "TXT", "name": "<string>", "value": "<string>", "priority": 123 }, "dmarc": { "type": "TXT", "name": "<string>", "value": "<string>", "priority": 123 }, "mailFromMx": { "type": "TXT", "name": "<string>", "value": "<string>", "priority": 123 }, "mailFromSpf": { "type": "TXT", "name": "<string>", "value": "<string>", "priority": 123 }, "receivingMx": { "type": "TXT", "name": "<string>", "value": "<string>", "priority": 123 } }, "dkim_selector": "<string>", "mail_from_subdomain": "<string>", "mail_from_verified": true, "receiving_enabled": true, "receiving_subdomain": "<string>" }
Update domain settings
API key authentication. Use your API key as the bearer token.
"123e4567-e89b-12d3-a456-426614174000"
true
Domain updated
"verified"
Show child attributes